anonymous Log in
Search
Recents:
v3.0
sd
Version de MAC
18/09/20 16:33

jncorujo2015

Replies: 5

Buenas tarde como estan?
Tengo una duda sobre la versión del sistema operativo que necesito para
compilar APP IOS.
Actualmente cuento con una máquina con macOS High Sierra y leyendo en los
requerimientos:
https://wiki.genexus.com/commwiki/servlet/wiki?19478,iOS+Requirements
veo que la ultimas versiones de genexus requieren la version macOS Catalina
(10.15.2 or later), lo que me lleva a pensar que cada 2 o 3 meses tendria
que cambiar de Mac.
esto es así o puedo utilizar la versión High Sierra sin problemas?
Replies

Aluziner

18/09/20 16:42
Claro que no tendrías que cambiar de Mac cada 3 meses (eso sería inviable para la mayoría) solo tienes que actualizar la versión de macOS por los propios requerimientos de Apple para subir las apps a su tienda. El vie., 18 de sep. de 2020 a la(s) 09:33, Nicolas Corujo ( jncorujo2015@gmail.com)

mcrispino

18/09/20 16:49
Nicolas: El tema de las versiones requeridas de Xcode y macOS no es algo sobre lo que tengamos mucha alternativa del lado de GeneXus. Apple libera todos los años versiones nuevas de sus sistemas operativos (macOS, iOS, iPadOS, tvOS & watchOS), y todos los años exige que las versiones usadas para publicar versiones nuevas en sus Stores utilicen las últimas versiones de sus herramientas de desarrollo, que obviamente requieren y agregan soporte para las últimas versiones de sus sistemas operativos. Por ejemplo, Xcode 11.4 que es lo mínimo requerido para usar con GeneXus 16 Upgrade 11, requiere de macOS Catalina 10.15.2 o superior . Xcode 12 que será la versión exigida por GeneXus 17, requiere macOS 10.15.4 . Dicho esto, no es necesario actualizar la Mac cada tres meses... alcanza con actualizar el sistema operativo. Nosotros tenemos en uso algunas Macs que no son recientes, como por ejemplo una MacBook Pro de 2012, que sigue soportando las últimas versiones de macOS y de Xcode. Saludos, *Marcos Crispino* Research & Development | GeneXus +598 2601 2082 | Simplifying Software Development [image: GeneXus] On Fri, Sep 18, 2020 at 1:33 PM Nicolas Corujo

dtorress

18/09/20 16:36
Que tal, yo me encuentro utilizando Catalina 10.15.6, me parece que mas bien por ser tema de GeneXus es tema del XCode, que versión de XCode manejas? Saludos cordiales. [cid:image001.png@01D68DAF.ED16DCA0] DANIEL TORRES SILVA Sistemas Grupo Financiero Actinver C.F. Montes Urales 620, Piso 2. Lomas de Chapultepec, Ciudad de México 55 1103 6600 Ext: 1985 / 800 705 5555 dtorress@actinver.com.mx actinver.com La información contenida en este correo electrónico es confidencial y para uso exclusivo de la(s) persona(s) a quien(es) va dirigida. Está prohibido difundir la información aquí contenida si la ha recibido por error, y le suplicamos notificar inmediatamente al remitente. Actinver o sus subsidiarias, no garantizan la integridad del presente correo electrónico o archivos adjuntos, ni que el mismo esté libre de interferencias o virus, por lo que su lectura, recepción y retransmisión será responsabilidad de quién lo haga. Gracias. [cid:image002.jpg@01D68DAF.ED16DCA0]

dtorress

18/09/20 16:47
Que tal, Tengo entendido que cada versión de XCode (nuevos updates) van siendo compatibles con nuevas versiones de MacOS y dejando de serlo en versiones anteriores conforme pasa el tiempo, como explica el caso en este foro: https://developer.apple.com/forums/thread/75663 Saludos cordiales. [cid:image001.png@01D68DB1.770E1DF0] DANIEL TORRES SILVA Sistemas Grupo Financiero Actinver C.F. Montes Urales 620, Piso 2. Lomas de Chapultepec, Ciudad de México 55 1103 6600 Ext: 1985 / 800 705 5555 dtorress@actinver.com.mx actinver.com La información contenida en este correo electrónico es confidencial y para uso exclusivo de la(s) persona(s) a quien(es) va dirigida. Está prohibido difundir la información aquí contenida si la ha recibido por error, y le suplicamos notificar inmediatamente al remitente. Actinver o sus subsidiarias, no garantizan la integridad del presente correo electrónico o archivos adjuntos, ni que el mismo esté libre de interferencias o virus, por lo que su lectura, recepción y retransmisión será responsabilidad de quién lo haga. Gracias. [cid:image002.jpg@01D68DB1.770E1DF0]

Aluziner

18/09/20 17:00
Claro, después de varios años tu hardware dejará de estar soportado en las nuevas versiones de macOS, pero eso son que?... 6 -8 años. bastante aceptable no crees? El vie., 18 de sep. de 2020 a la(s) 09:55, Daniel Torres Silva ( dtorress@actinver.com.mx)


Back to sd